<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));

class DefunctSocialIconsBlockController extends BlockController {
	
	var $pobj;

	protected $btTable = 'btDefunctSocialIcons';
	protected $btInterfaceWidth = "550";
	protected $btInterfaceHeight = "500";
	
	public $blogger = '';
	public $delicious = '';
	public $digg = '';
	public $ebay = '';
	public $facebook = '';
	public $feed = '';
	public $flickr = '';
	public $friendfeed = '';
	public $friendster = '';
	public $furl = '';
	public $google = '';
	public $lastfm = '';
	public $linkedin = '';
	public $livejournal = '';
	public $magnolia = '';
	public $mixx = '';
	public $myspace = '';
	public $netvibes = '';
	public $newsvine = '';
	public $picasa = '';
	public $pownce = '';
	public $reddit = '';
	public $stumbleupon = '';
	public $technorati = '';
	public $twitter = '';
	public $vimeo = '';
	public $webshots = '';
	public $wordpress = '';
	public $yelp = '';
	public $youtube = '';
			
	/** 
	 * Used for localization. If we want to localize the name/description we have to include this
	 */
	public function getBlockTypeDescription() {
		return t("Displays social icons on your website");
	}
	
	public function getBlockTypeName() {
		return t("Social Icons");
	}		
	
	
	public function __construct($obj = null) {		
		parent::__construct($obj); 
	}
	
	public function view() {
		$profiles = array(
						'blogger' 		=> $this->blogger,
						'delicious'		=> $this->delicious,
						'digg'			=> $this->digg,
						'ebay'			=> $this->ebay,
						'facebook'		=> $this->facebook,
						'feed'			=> $this->feed,
						'flickr'		=> $this->flickr,
						'friendfeed'	=> $this->friendfeed,
						'friendster'	=> $this->friendster,
						'furl'			=> $this->furl,
						'google'		=> $this->google,
						'lastfm'		=> $this->lastfm,
						'linkedin'		=> $this->linkedin,
						'livejournal'	=> $this->livejournal,
						'magnolia'		=> $this->magnolia,
						'mixx'			=> $this->mixx,
						'myspace'		=> $this->myspace,
						'netvibes'		=> $this->netvibes,
						'newsvine'		=> $this->newsvine,
						'picasa'		=> $this->picasa,
						'pownce'		=> $this->pownce,
						'reddit'		=> $this->reddit,
						'stumbleupon'	=> $this->stumbleupon,
						'technorati'	=> $this->technorati,
						'twitter'		=> $this->twitter,
						'vimeo'			=> $this->vimeo,
						'webshots'		=> $this->webshots,
						'wordpress'		=> $this->wordpress,
						'yelp'			=> $this->yelp,
						'youtube'		=> $this->youtube						
					);
					
		$this->set('profiles', $profiles);				
	}
	
	/*
	 * save block config
	 */ 
	public function save($data) { 
		$args['blogger'] = isset($data['blogger']) ? $data['blogger'] : '';
		$args['delicious'] = isset($data['delicious']) ? $data['delicious'] : '';
		$args['digg'] = isset($data['digg']) ? $data['digg'] : '';
		$args['ebay'] = isset($data['ebay']) ? $data['ebay'] : '';
		$args['facebook'] = isset($data['facebook']) ? $data['facebook'] : '';
		$args['feed'] = isset($data['feed']) ? $data['feed'] : ''; 
		$args['flickr'] = isset($data['flickr']) ? $data['flickr'] : '';
		$args['friendfeed'] = isset($data['friendfeed']) ? $data['friendfeed'] : '';
		$args['friendster'] = isset($data['friendster']) ? $data['friendster'] : '';
		$args['furl'] = isset($data['furl']) ? $data['furl'] : ''; 
		$args['google'] = isset($data['google']) ? $data['google'] : '';
		$args['lastfm'] = isset($data['lastfm']) ? $data['lastfm'] : '';
		$args['linkedin'] = isset($data['linkedin']) ? $data['linkedin'] : '';
		$args['livejournal'] = isset($data['livejournal']) ? $data['livejournal'] : '';
		$args['magnolia'] = isset($data['magnolia']) ? $data['magnolia'] : '';
		$args['mixx'] = isset($data['mixx']) ? $data['mixx'] : '';
		$args['myspace'] = isset($data['myspace']) ? $data['myspace'] : '';
		$args['netvibes'] = isset($data['netvibes']) ? $data['netvibes'] : '';
		$args['newsvine'] = isset($data['newsvine']) ? $data['newsvine'] : '';
		$args['picasa'] = isset($data['picasa']) ? $data['picasa'] : '';
		$args['pownce'] = isset($data['pownce']) ? $data['pownce'] : '';
		$args['reddit'] = isset($data['reddit']) ? $data['reddit'] : '';
		$args['stumbleupon'] = isset($data['stumbleupon']) ? $data['stumbleupon'] : '';
		$args['technorati'] = isset($data['technorati']) ? $data['technorati'] : '';
		$args['twitter'] = isset($data['twitter']) ? $data['twitter'] : '';
		$args['vimeo'] = isset($data['vimeo']) ? $data['vimeo'] : '';
		$args['webshots'] = isset($data['webshots']) ? $data['webshots'] : '';
		$args['wordpress'] = isset($data['wordpress']) ? $data['wordpress'] : '';
		$args['yelp'] = isset($data['yelp']) ? $data['yelp'] : '';
		$args['youtube'] = isset($data['youtube']) ? $data['youtube'] : '';
		parent::save($args);
	}		
}

?>